Subject: Re: bug#35994: Remove leading '*' from defcustom docstring todo considered done

From: Stefan Kangas <[email-masked]>
Date: Mon, 3 Jun 2019 02:43:59 +0200

Basil L. Contovounesios <[email-masked]> writes:
> There is also at least one defface (ibuffer-locked-buffer), and the

Please find attached an updated patch fixing this - thanks.

> defvars in lisp/obsolete/cc-compat.el (I just did a quick rgrep '^  "\*').

This is related to the TODO:

 ** Convert all defvars with leading '*' in the doc-strings into defcustoms
  of appropriate :type and :group.

I have attached a second patch which fixes this TODO item.

I didn't bother converting the defvar cases in lisp/obsolete/cc-compat.el to
defcustom since I don't feel like it's a good idea to expose this obsolete code
to the user more than necessary.  We should let it rest in peace. What do you
think?

Thanks,
Stefan Kangas